> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1774051868.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create stop-limit order



## OpenAPI

````yaml /openapi/private/http-trade-v4.yaml POST /api/v4/order/stop_limit
openapi: 3.0.3
info:
  title: Private HTTP API V4 - Collateral Trading
  description: |
    WhiteBIT Private HTTP API V4 for collateral/margin trading operations.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.

    Authentication required for all endpoints.
  version: 4.0.0
  license:
    name: WhiteBIT Terms of Service
    url: https://whitebit.com/terms
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Collateral Trading
    description: Endpoints for collateral/margin trading operations
  - name: Spot Trading
    description: Endpoints for spot trading operations
  - name: Market Fee
    description: Endpoints for querying trading fees
paths:
  /api/v4/order/stop_limit:
    post:
      tags:
        - Spot Trading
      summary: Create stop-limit order
      description: >
        The endpoint creates [stop-limit trading
        order](/glossary#stop-limit-order).


        <Warning>

        Rate limit: 10000 requests/10 sec.

        </Warning>


        <Accordion title="Error Codes">

        - `30` - default validation error code

        - `31` - market validation failed

        - `32` - amount validation failed

        - `33` - price validation failed

        - `36` - client_order_id validation failed

        </Accordion>


        <Accordion title="Errors">

        ```json

        {
          "code": 30,
          "message": "Validation failed",
          "errors": {
            "activation_price": ["Activation price field is required."],
            "amount": ["Amount field is required."],
            "market": ["Market field is required."],
            "price": ["Price field is required."],
            "side": ["Side field is required."]
          }
        }

        ```


        ```json

        {
          "code": 30,
          "message": "Validation failed",
          "errors": {
            "side": ["Side field should contain only 'buy' or 'sell' values."]
          }
        }

        ```


        ```json

        {
          "code": 32,
          "message": "Validation failed",
          "errors": {
            "amount": ["Amount field should be numeric string or number."]
          }
        }

        ```


        ```json

        {
          "code": 33,
          "message": "Validation failed",
          "errors": {
            "price": ["Price field should be numeric string or number."]
          }
        }

        ```


        ```json

        {
          "code": 31,
          "message": "Validation failed",
          "errors": {
            "market": ["Market is not available."]
          }
        }

        ```


        ```json

        {
          "code": 31,
          "message": "Validation failed",
          "errors": {
            "market": ["Market field should not be empty string."]
          }
        }

        ```


        ```json

        {
          "code": 32,
          "message": "Validation failed",
          "errors": {
            "amount": ["Not enough balance."]
          }
        }

        ```


        ```json

        {
          "code": 32,
          "message": "Validation failed",
          "errors": {
            "amount": [
              "Given amount is less than min amount 0.001",
              "Min amount step = 0.000001"
            ]
          }
        }

        ```


        ```json

        {
          "code": 30,
          "message": "Validation failed",
          "errors": {
            "total": ["Total (amount * price) is less than 5.05"]
          }
        }

        ```


        ```json

        {
          "code": 36,
          "message": "Validation failed",
          "errors": {
            "client_order_id": ["ClientOrderId field should be a string."]
          }
        }

        ```


        ```json

        {
          "code": 36,
          "message": "Validation failed",
          "errors": {
            "client_order_id": [
              "ClientOrderId field should contain only latin letters, numbers and dashes."
            ]
          }
        }

        ```

        </Accordion>
      operationId: createStopLimitOrder
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StopLimitOrderRequest'
      responses:
        '200':
          description: Order created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderResponse'
        '400':
          description: Inner validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service temporarily unavailable
      security:
        - ApiKeyAuth: []
components:
  schemas:
    StopLimitOrderRequest:
      type: object
      required:
        - market
        - side
        - amount
        - price
        - activation_price
        - request
        - nonce
      properties:
        market:
          type: string
          description: 'Available [market](/glossary#market). Example: BTC_USDT'
          example: BTC_USDT
        side:
          type: string
          enum:
            - buy
            - sell
          description: 'Order type. Variables: ''buy'' / ''sell'' Example: ''buy'''
          example: buy
        amount:
          type: string
          description: >-
            Amount of [stock](/glossary#stock) currency to buy or sell. Example:
            '0.001' or 0.001
          example: '0.001'
        price:
          type: string
          description: 'Price in [money](/glossary#money) currency. Example: ''9800'' or 9800'
          example: '9800'
        activation_price:
          type: string
          description: >-
            Activation price in [money](/glossary#money) currency. Example:
            '10000' or 10000
          example: '10000'
        client_order_id:
          type: string
          description: >-
            Identifier should be unique and contain letters, dashes, numbers,
            dots or underscores. The identifier must be unique.
          example: order1987111
        bboRole:
          type: integer
          enum:
            - 1
            - 2
          description: >-
            When the [BBO](/glossary#bbo) option is activated for Limit orders,
            the system selects the best market prices for execution. Variables:
            1 - Queue Method / 2 - Counterparty Method.
        stp:
          type: string
          enum:
            - 'no'
            - cancel_both
            - cancel_new
            - cancel_old
          description: >-
            Self trade prevention mode. Variables: 'no' / 'cancel_both' /
            'cancel_new' / 'cancel_old'. Example: 'no'.
          example: 'no'
        request:
          type: string
          example: '{{request}}'
        nonce:
          type: string
          example: '{{nonce}}'
    OrderResponse:
      type: object
      properties:
        order_id:
          type: integer
          description: Order ID
          example: 4180284841
        client_order_id:
          type: string
          description: Custom client order ID; empty string if not specified
          example: order1987111
        market:
          type: string
          description: Deal market
          example: BTC_USDT
        side:
          type: string
          description: Order side
          example: buy
        type:
          type: string
          description: Order type
          example: limit
        timestamp:
          type: number
          description: Timestamp of order creation
          example: 1595792396.165973
        deal_money:
          type: string
          description: If order finished - amount in money currency that is finished
          example: '0'
        deal_stock:
          type: string
          description: If order finished - amount in stock currency that is finished
          example: '0'
        amount:
          type: string
          description: Amount
          example: '0.01'
        left:
          type: string
          description: If order not finished - rest of the amount that must be finished
          example: '0.001'
        deal_fee:
          type: string
          description: Fee in money currency when order is filled
          example: '0'
        price:
          type: string
          description: Price
          example: '40000'
        postOnly:
          type: boolean
          description: PostOnly flag
          example: false
        ioc:
          type: boolean
          description: IOC flag
          example: false
        status:
          type: string
          description: Order status
          example: FILLED
        stp:
          type: string
          description: Self trade prevention mode
          example: 'no'
        positionSide:
          type: string
          description: Position side (for collateral orders)
          example: LONG
        rpi:
          type: boolean
          description: Indicates Retail Price Improvement (RPI) mode for the order.
          example: true
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: Error code
          example: 30
        message:
          type: string
          description: Error message
          example: Validation failed
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Detailed error information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: |
        API Key authentication for private endpoints.

        Required headers:
        - X-TXC-APIKEY: API key
        - X-TXC-PAYLOAD: Base64 encoded JSON payload
        - X-TXC-SIGNATURE: HMAC SHA512 signature

````